%define jsoncpp_major 1
%define libname       %mklibname %name %{jsoncpp_major}
%define develname     %mklibname %name -d

Name:           jsoncpp
Version:        1.8.4
Release:        %mkrel 1
Summary:        C++ JSON Library
License:        Public Domain
Group:          System/Libraries
Url:            http://jsoncpp.sourceforge.net/
Source0:        https://github.com/open-source-parsers/jsoncpp/archive/%{name}-%{version}.tar.gz
Patch0:         jsoncpp-autotools.patch
BuildRequires:  cmake
#To generate docs
#BuildRequires:  doxygen
#BuildRequires:  graphviz

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.


%package -n %libname
Summary:        JsonCpp library
Group:          System/Libraries

%description -n %libname
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       jsoncpp-devel = %{version}-%{release}
Provides:       libjsoncpp-devel = %{version}-%{release}

%description -n %{develname}
Files for building applications with %{name} support.

%prep
%setup -q

# make sure doxyfile.in can be processed by autoconf
#sed -i -e 's/%/@/g' doc/doxyfile.in

%build
%cmake -DJSONCPP_WITH_TESTS=OFF
%make_build

%install
rm -rf %buildroot
%make_install -C build

mkdir -p %buildroot/%{_includedir}/jsoncpp
cp -r %buildroot/%{_includedir}/json %buildroot/%{_includedir}/jsoncpp

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %libname
%{_libdir}/libjsoncpp.so.%{jsoncpp_major}*

%files -n %develname
%{_includedir}/json/
%{_includedir}/jsoncpp/json
%{_libdir}/libjsoncpp.so
%{_libdir}/pkgconfig/jsoncpp.pc


%changelog
* Sat Jan 05 2019 adrianomorselli <adrianomorselli> 1.8.4-1uplos2019
- update
